Subject: Re: bug#14942: 24.3.50; Improve key descriptions for facemenu menu items

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 29 Apr 2016 16:10:54 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Ingebrigtsen <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Fri, 29 Apr 2016 15:39:46 +0200
>> 
>> >     (define-key map [sp] (cons (purecopy "Special Properties")  <<<<<<<<<
>> > 		    ^^^^       'facemenu-special-menu))
>> 
>> So it is supposed to be a keyboard shortcut?
>
> No, just a symbol to put into a vector.

Huh.

>> If I hit <C-down-mouse-2>, hitting "s" or "p" doesn't do anything for
>> me afterwards...
>
> Of course: there's no key named 'sp'.
>
> I think this is too-level programming getting back at us, but maybe
> I'm missing something.

So the key description here is less than useful, and there's not
something I'm missing?  I mean, about this particular thing.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no